StarkClaw API
Integrate StarkClaw into your applications.
Authentication
All requests require an API key from Settings.
Authorization: Bearer sk_live_your_key_hereBase URL
https://your-domain.com/api/v1Endpoints
POST
/api/v1/missionsCreate and run a mission
Request Body
{ "name": "Research AI", "objective": "Find top 5 AI trends" }Response
{ "id": "mission_xxx", "run_id": "run_xxx", "status": "queued" }GET
/api/v1/missions/:idGet mission status and artifacts
Response
{ "id": "mission_xxx", "status": "completed", "run_ids": [...] }GET
/api/v1/runs/:idGet run detail with worker status and artifacts
Response
{ "id": "run_xxx", "status": "completed", "artifacts": [...] }GET
/api/v1/artifacts/:idGet artifact content
Response
{ "id": "art_xxx", "name": "report.md", "kind": "document", "uri": "..." }POST
/api/v1/knowledge/searchSearch knowledge base
Request Body
{ "query": "pricing strategy", "top_k": 5 }Response
{ "results": [{ "content": "...", "title": "..." }] }Rate Limits
Free: 100 req/hour ยท Pro: 1,000 req/hour ยท Enterprise: 10,000 req/hour
Example
curl -X POST https://your-domain.com/api/v1/missions \
-H "Authorization: Bearer sk_live_abc123" \
-H "Content-Type: application/json" \
-d '{"name": "Research AI trends", "objective": "Find top 5 AI trends in 2026"}'